import { z } from 'zod';
export declare const acs_entrance: z.ZodObject<{
    acs_system_id: z.ZodString;
    acs_entrance_id: z.ZodString;
    created_at: z.ZodString;
    display_name: z.ZodString;
    errors: z.ZodArray<z.ZodObject<{
        error_code: z.ZodString;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        message: string;
        error_code: string;
    }, {
        message: string;
        error_code: string;
    }>, "many">;
    latch_metadata: z.ZodOptional<z.ZodObject<{
        accessibility_type: z.ZodString;
        door_name: z.ZodString;
        door_type: z.ZodString;
        is_connected: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        door_name: string;
        is_connected: boolean;
        accessibility_type: string;
        door_type: string;
    }, {
        door_name: string;
        is_connected: boolean;
        accessibility_type: string;
        door_type: string;
    }>>;
    visionline_metadata: z.ZodOptional<z.ZodObject<{
        door_name: z.ZodString;
        door_category: z.ZodEnum<["entrance", "guest", "elevator reader", "common", "common (PMS)"]>;
        profiles: z.ZodOptional<z.ZodArray<z.ZodObject<{
            visionline_door_profile_id: z.ZodString;
            visionline_door_profile_type: z.ZodEnum<["BLE", "commonDoor", "touch"]>;
        }, "strip", z.ZodTypeAny, {
            visionline_door_profile_id: string;
            visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
        }, {
            visionline_door_profile_id: string;
            visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        door_name: string;
        door_category: "entrance" | "guest" | "elevator reader" | "common" | "common (PMS)";
        profiles?: {
            visionline_door_profile_id: string;
            visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
        }[] | undefined;
    }, {
        door_name: string;
        door_category: "entrance" | "guest" | "elevator reader" | "common" | "common (PMS)";
        profiles?: {
            visionline_door_profile_id: string;
            visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
        }[] | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    errors: {
        message: string;
        error_code: string;
    }[];
    display_name: string;
    acs_system_id: string;
    acs_entrance_id: string;
    visionline_metadata?: {
        door_name: string;
        door_category: "entrance" | "guest" | "elevator reader" | "common" | "common (PMS)";
        profiles?: {
            visionline_door_profile_id: string;
            visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
        }[] | undefined;
    } | undefined;
    latch_metadata?: {
        door_name: string;
        is_connected: boolean;
        accessibility_type: string;
        door_type: string;
    } | undefined;
}, {
    created_at: string;
    errors: {
        message: string;
        error_code: string;
    }[];
    display_name: string;
    acs_system_id: string;
    acs_entrance_id: string;
    visionline_metadata?: {
        door_name: string;
        door_category: "entrance" | "guest" | "elevator reader" | "common" | "common (PMS)";
        profiles?: {
            visionline_door_profile_id: string;
            visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
        }[] | undefined;
    } | undefined;
    latch_metadata?: {
        door_name: string;
        is_connected: boolean;
        accessibility_type: string;
        door_type: string;
    } | undefined;
}>;
export type AcsEntrance = z.infer<typeof acs_entrance>;
