import { z } from 'zod';
export declare const acs_entrance_visionline_metadata: z.ZodObject<{
    door_name: z.ZodString;
    door_category: z.ZodEnum<["entrance", "guest", "elevator reader", "common", "common (PMS)"]>;
    profiles: z.ZodOptional<z.ZodArray<z.ZodObject<{
        visionline_door_profile_id: z.ZodString;
        visionline_door_profile_type: z.ZodEnum<["BLE", "commonDoor", "touch"]>;
    }, "strip", z.ZodTypeAny, {
        visionline_door_profile_id: string;
        visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
    }, {
        visionline_door_profile_id: string;
        visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    door_name: string;
    door_category: "entrance" | "guest" | "elevator reader" | "common" | "common (PMS)";
    profiles?: {
        visionline_door_profile_id: string;
        visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
    }[] | undefined;
}, {
    door_name: string;
    door_category: "entrance" | "guest" | "elevator reader" | "common" | "common (PMS)";
    profiles?: {
        visionline_door_profile_id: string;
        visionline_door_profile_type: "BLE" | "commonDoor" | "touch";
    }[] | undefined;
}>;
export declare const acs_credential_visionline_metadata: z.ZodObject<{
    card_function_type: z.ZodEnum<["guest", "staff"]>;
    joiner_acs_credential_ids: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    guest_acs_entrance_ids: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    common_acs_entrance_ids: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    card_function_type: "guest" | "staff";
    joiner_acs_credential_ids?: string[] | undefined;
    guest_acs_entrance_ids?: string[] | undefined;
    common_acs_entrance_ids?: string[] | undefined;
}, {
    card_function_type: "guest" | "staff";
    joiner_acs_credential_ids?: string[] | undefined;
    guest_acs_entrance_ids?: string[] | undefined;
    common_acs_entrance_ids?: string[] | undefined;
}>;
export type AcsCredentialVisionlineMetadata = z.infer<typeof acs_credential_visionline_metadata>;
export type AcsEntranceVisionlineMetadata = z.infer<typeof acs_entrance_visionline_metadata>;
