import { z } from 'zod';
export declare const seam_event: z.ZodDiscriminatedUnion<"event_type", [z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.created">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.created";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.created";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.changed">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.changed";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.changed";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.scheduled_on_device">;
    code: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    code: string;
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.scheduled_on_device";
}, {
    code: string;
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.scheduled_on_device";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.set_on_device">;
    code: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    code: string;
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.set_on_device";
}, {
    code: string;
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.set_on_device";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.removed_from_device">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.removed_from_device";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.removed_from_device";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.delay_in_setting_on_device">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_setting_on_device";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_setting_on_device";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.failed_to_set_on_device">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_set_on_device";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_set_on_device";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.deleted">;
    code: z.ZodNullable<z.ZodString>;
}>, "strip", z.ZodTypeAny, {
    code: string | null;
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.deleted";
}, {
    code: string | null;
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.deleted";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.delay_in_removing_from_device">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_removing_from_device";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_removing_from_device";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.failed_to_remove_from_device">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_remove_from_device";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_remove_from_device";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.modified_external_to_seam">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.modified_external_to_seam";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.modified_external_to_seam";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.deleted_external_to_seam">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.deleted_external_to_seam";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.deleted_external_to_seam";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.backup_access_code_pulled">;
    backup_access_code_id: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.backup_access_code_pulled";
    backup_access_code_id: string;
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.backup_access_code_pulled";
    backup_access_code_id: string;
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.unmanaged.converted_to_managed">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.converted_to_managed";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.converted_to_managed";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.unmanaged.failed_to_convert_to_managed">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.failed_to_convert_to_managed";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.failed_to_convert_to_managed";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.unmanaged.created">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.created";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.created";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"access_code.unmanaged.removed">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.removed";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    access_code_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.removed";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
    acs_system_id: z.ZodString;
}>, {}>, {
    event_type: z.ZodLiteral<"acs_system.connected">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    acs_system_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "acs_system.connected";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    acs_system_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "acs_system.connected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
    acs_system_id: z.ZodString;
}>, {
    acs_credential_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"acs_credential.deleted">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    acs_system_id: string;
    acs_credential_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "acs_credential.deleted";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    acs_system_id: string;
    acs_credential_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "acs_credential.deleted";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
    acs_system_id: z.ZodString;
}>, {
    acs_user_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"acs_user.deleted">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    acs_system_id: string;
    acs_user_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "acs_user.deleted";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    acs_system_id: string;
    acs_user_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "acs_user.deleted";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    client_session_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"client_session.deleted">;
}>, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    client_session_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "client_session.deleted";
}, {
    created_at: string;
    workspace_id: string;
    client_session_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "client_session.deleted";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"connected_account.connected">;
    connect_webview_id: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.connected";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.connected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"connected_account.created">;
    connect_webview_id: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.created";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.created";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"connected_account.successful_login">;
    connect_webview_id: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.successful_login";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.successful_login";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"connected_account.disconnected">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.disconnected";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.disconnected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"connected_account.completed_first_sync">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"connected_account.deleted">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.deleted";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.deleted";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"connected_account.completed_first_sync_after_reconnection">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync_after_reconnection";
}, {
    connected_account_id: string;
    created_at: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync_after_reconnection";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.connected">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.connected";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.connected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.converted_to_unmanaged">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.converted_to_unmanaged";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.converted_to_unmanaged";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.unmanaged.converted_to_managed">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.converted_to_managed";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.converted_to_managed";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.unmanaged.connected">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.connected";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.connected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.disconnected">;
    error_code: z.ZodEnum<["account_disconnected", "hub_disconnected", "device_disconnected"]>;
}>, "strip", z.ZodTypeAny, {
    error_code: "account_disconnected" | "hub_disconnected" | "device_disconnected";
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.disconnected";
}, {
    error_code: "account_disconnected" | "hub_disconnected" | "device_disconnected";
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.disconnected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.unmanaged.disconnected">;
    error_code: z.ZodEnum<["account_disconnected", "hub_disconnected", "device_disconnected"]>;
}>, "strip", z.ZodTypeAny, {
    error_code: "account_disconnected" | "hub_disconnected" | "device_disconnected";
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.disconnected";
}, {
    error_code: "account_disconnected" | "hub_disconnected" | "device_disconnected";
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.disconnected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.tampered">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.tampered";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.tampered";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.low_battery">;
    battery_level: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    battery_level: number;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.low_battery";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    battery_level: number;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.low_battery";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.battery_status_changed">;
    battery_status: z.ZodEnum<["critical", "low", "good", "full"]>;
    battery_level: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    battery_level: number;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.battery_status_changed";
    battery_status: "low" | "full" | "critical" | "good";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    battery_level: number;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.battery_status_changed";
    battery_status: "low" | "full" | "critical" | "good";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.removed">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.removed";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.removed";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.deleted">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.deleted";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.deleted";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.third_party_integration_detected">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.third_party_integration_detected";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.third_party_integration_detected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.third_party_integration_no_longer_detected">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.third_party_integration_no_longer_detected";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.third_party_integration_no_longer_detected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.salto.privacy_mode_activated">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.salto.privacy_mode_activated";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.salto.privacy_mode_activated";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.salto.privacy_mode_deactivated">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.salto.privacy_mode_deactivated";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.salto.privacy_mode_deactivated";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.connection_became_flaky">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.connection_became_flaky";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.connection_became_flaky";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.connection_stabilized">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.connection_stabilized";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.connection_stabilized";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.error.subscription_required">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.error.subscription_required";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.error.subscription_required";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.error.subscription_required.resolved">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.error.subscription_required.resolved";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.error.subscription_required.resolved";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.accessory_keypad_connected">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.accessory_keypad_connected";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.accessory_keypad_connected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"device.accessory_keypad_disconnected">;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.accessory_keypad_disconnected";
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "device.accessory_keypad_disconnected";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"noise_sensor.noise_threshold_triggered">;
    noise_level_decibels: z.ZodOptional<z.ZodNumber>;
    noise_level_nrs: z.ZodOptional<z.ZodNumber>;
    noise_threshold_id: z.ZodOptional<z.ZodString>;
    noise_threshold_name: z.ZodOptional<z.ZodString>;
    noiseaware_metadata: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
    minut_metadata: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "noise_sensor.noise_threshold_triggered";
    noiseaware_metadata?: Record<string, unknown> | undefined;
    noise_level_nrs?: number | undefined;
    minut_metadata?: Record<string, unknown> | undefined;
    noise_level_decibels?: number | undefined;
    noise_threshold_id?: string | undefined;
    noise_threshold_name?: string | undefined;
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "noise_sensor.noise_threshold_triggered";
    noiseaware_metadata?: Record<string, unknown> | undefined;
    noise_level_nrs?: number | undefined;
    minut_metadata?: Record<string, unknown> | undefined;
    noise_level_decibels?: number | undefined;
    noise_threshold_id?: string | undefined;
    noise_threshold_name?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"lock.locked">;
    access_code_id: z.ZodOptional<z.ZodString>;
    action_attempt_id: z.ZodOptional<z.ZodString>;
    method: z.ZodEnum<["keycode", "manual", "automatic", "unknown", "seamapi"]>;
}>, "strip", z.ZodTypeAny, {
    method: "manual" | "unknown" | "keycode" | "automatic" | "seamapi";
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "lock.locked";
    access_code_id?: string | undefined;
    action_attempt_id?: string | undefined;
}, {
    method: "manual" | "unknown" | "keycode" | "automatic" | "seamapi";
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "lock.locked";
    access_code_id?: string | undefined;
    action_attempt_id?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"lock.unlocked">;
    access_code_id: z.ZodOptional<z.ZodString>;
    action_attempt_id: z.ZodOptional<z.ZodString>;
    method: z.ZodEnum<["keycode", "manual", "automatic", "unknown", "seamapi"]>;
}>, "strip", z.ZodTypeAny, {
    method: "manual" | "unknown" | "keycode" | "automatic" | "seamapi";
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "lock.unlocked";
    access_code_id?: string | undefined;
    action_attempt_id?: string | undefined;
}, {
    method: "manual" | "unknown" | "keycode" | "automatic" | "seamapi";
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "lock.unlocked";
    access_code_id?: string | undefined;
    action_attempt_id?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
    connected_account_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"lock.access_denied">;
    access_code_id: z.ZodOptional<z.ZodString>;
}>, "strip", z.ZodTypeAny, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "lock.access_denied";
    access_code_id?: string | undefined;
}, {
    connected_account_id: string;
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "lock.access_denied";
    access_code_id?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    enrollment_automation_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"enrollment_automation.deleted">;
}>, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    enrollment_automation_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "enrollment_automation.deleted";
}, {
    created_at: string;
    workspace_id: string;
    enrollment_automation_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "enrollment_automation.deleted";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    event_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    occurred_at: z.ZodString;
}, {
    device_id: z.ZodString;
}>, {
    event_type: z.ZodLiteral<"phone.deactivated">;
}>, "strip", z.ZodTypeAny, {
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "phone.deactivated";
}, {
    created_at: string;
    device_id: string;
    workspace_id: string;
    event_id: string;
    occurred_at: string;
    event_type: "phone.deactivated";
}>]>;
export type SeamEvent = z.infer<typeof seam_event>;
export type SeamEventType = SeamEvent['event_type'];
