import { z } from 'zod';
export declare const climate_setting_schedule: z.ZodObject<z.objectUtil.extendShape<{
    climate_setting_schedule_id: z.ZodString;
    schedule_type: z.ZodLiteral<"time_bound">;
    device_id: z.ZodString;
    name: z.ZodOptional<z.ZodString>;
    schedule_starts_at: z.ZodString;
    schedule_ends_at: z.ZodString;
    created_at: z.ZodString;
    errors: z.ZodAny;
}, {
    automatic_heating_enabled: z.ZodOptional<z.ZodBoolean>;
    automatic_cooling_enabled: z.ZodOptional<z.ZodBoolean>;
    hvac_mode_setting: z.ZodOptional<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>>;
    cooling_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
    heating_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
    cooling_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
    heating_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
    manual_override_allowed: z.ZodOptional<z.ZodBoolean>;
}>, "strip", z.ZodTypeAny, {
    created_at: string;
    climate_setting_schedule_id: string;
    schedule_type: "time_bound";
    device_id: string;
    schedule_starts_at: string;
    schedule_ends_at: string;
    name?: string | undefined;
    errors?: any;
    automatic_heating_enabled?: boolean | undefined;
    automatic_cooling_enabled?: boolean | undefined;
    hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
    cooling_set_point_celsius?: number | undefined;
    heating_set_point_celsius?: number | undefined;
    cooling_set_point_fahrenheit?: number | undefined;
    heating_set_point_fahrenheit?: number | undefined;
    manual_override_allowed?: boolean | undefined;
}, {
    created_at: string;
    climate_setting_schedule_id: string;
    schedule_type: "time_bound";
    device_id: string;
    schedule_starts_at: string;
    schedule_ends_at: string;
    name?: string | undefined;
    errors?: any;
    automatic_heating_enabled?: boolean | undefined;
    automatic_cooling_enabled?: boolean | undefined;
    hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
    cooling_set_point_celsius?: number | undefined;
    heating_set_point_celsius?: number | undefined;
    cooling_set_point_fahrenheit?: number | undefined;
    heating_set_point_fahrenheit?: number | undefined;
    manual_override_allowed?: boolean | undefined;
}>;
export type ClimateSettingSchedule = z.infer<typeof climate_setting_schedule>;
