import { z } from 'zod';
export declare const climate_setting: z.ZodObject<{
    automatic_heating_enabled: z.ZodBoolean;
    automatic_cooling_enabled: z.ZodBoolean;
    hvac_mode_setting: z.ZodEnum<["off", "heat", "cool", "heat_cool"]>;
    cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    manual_override_allowed: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    automatic_heating_enabled: boolean;
    automatic_cooling_enabled: boolean;
    hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
    manual_override_allowed: boolean;
    cooling_set_point_celsius?: number | undefined;
    heating_set_point_celsius?: number | undefined;
    cooling_set_point_fahrenheit?: number | undefined;
    heating_set_point_fahrenheit?: number | undefined;
}, {
    automatic_heating_enabled: boolean;
    automatic_cooling_enabled: boolean;
    hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
    manual_override_allowed: boolean;
    cooling_set_point_celsius?: number | undefined;
    heating_set_point_celsius?: number | undefined;
    cooling_set_point_fahrenheit?: number | undefined;
    heating_set_point_fahrenheit?: number | undefined;
}>;
export type ClimateSetting = z.infer<typeof climate_setting>;
