import { z } from 'zod'

import {
  acs_entrance_latch_metadata,
  acs_entrance_visionline_metadata,
} from './metadata/index.js'

export const acs_entrance = z.object({
  acs_system_id: z.string().uuid(),
  acs_entrance_id: z.string().uuid(),
  created_at: z.string().datetime(),
  display_name: z.string(),
  errors: z.array(
    z.object({
      error_code: z.string(),
      message: z.string(),
    }),
  ),
  latch_metadata: acs_entrance_latch_metadata.optional(),
  visionline_metadata: acs_entrance_visionline_metadata.optional(),
})

export type AcsEntrance = z.infer<typeof acs_entrance>
